Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::SpinButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::SpinButton. More...

`#include <xfc/gtk/spinbuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::SpinButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual int on_input (double *new_value)
    Called when a new value is displayed in the spinbutton.
- virtual int on_output ()
    Called to display the new value in the spin button.
- virtual void on_value_changed ()
    Called when the value has changed.

## Protected Member Functions

Constructors

- SpinButtonSignals (SpinButton *spin_button)
    Constructs a new SpinButtonSignals object.
- virtual ~SpinButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::SpinButton.

## Constructor & Destructor Documentation

Xfc::Gtk::SpinButtonSignals::SpinButtonSignals | ( | SpinButton * | spin_button | ) | `[protected]`

Constructs a new SpinButtonSignals object.

Parameters:

  | spin_button | A SpinButton object inheriting the SpinButtonSignals implementation.

## Member Function Documentation

virtual int Xfc::Gtk::SpinButtonSignals::on_input | ( | double * | new_value | ) | `[virtual]`

Called when a new value is displayed in the spinbutton.

Parameters:

  | new_value | The new value of the spin button.

Returns:
  -1 if an error occurs, otherwise 0.

virtual int Xfc::Gtk::SpinButtonSignals::on_output | ( |  | ) | `[virtual]`

Called to display the new value in the spin button.

Returns:
  Always zero.

The documentation for this class was generated from the following file:

- spinbuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3